Bug 109778 - kickstart adds packages that I didn't select for installation.
kickstart adds packages that I didn't select for installation.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-11 13:42 EST by Ryan Daly
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 11:35:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kickstart file used during installation. (2.05 KB, text/plain)
2003-11-11 20:57 EST, Ryan Daly
no flags Details

  None (edit)
Description Ryan Daly 2003-11-11 13:42:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I created a kickstart file from a manual installation.  During the
manual installation, I paid close attention to the packages I wanted
installed and the ones that I didn't want installed.  For instance, I
did not select Gnome or KDE.  During the installation, I noticed that
it installed metacity (a Gnome package).  I noted other packages that
were installed when I didn't have them selected, too (SDL, Xaw3d,
cdrdao, eel2, gphoto2, gstreamer*).  The kickstart file was modified
to allow for a NFS installation.

On the system that I "built" the kickstart file from, I do the following:

[root@wolfman 1]$ rpm -qa librsvg\*
[root@wolfman 1]$ 

Nothing there.  On the system I installed -from- the kickstart file, I
do that and I get a hit:

[root@localhost ~]# rpm -qa librsvg\*
librsvg2-2.4.0-3

I check to see if maybe something needed that:

[root@localhost ~]# rpm -q --whatrequires librsvg2
no package requires librsvg2

I verified that the kickstart file I used to install from didn't have
those packages selected, nor did it have Gnome (the group that should
be selected for metacity to get installed).

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Perform a manual installation
2. Grab the anaconda config file it leaves in /root.
3. Modify for NFS install
4. Perform the installation
5. Compare packages between the two systems.

Actual Results:  The packages on the system that I installed manually
were different than the system that I performed the kickstart
installation from.

Expected Results:  These two systems should have the identical set of
RPMS installed.

Additional info:
Comment 1 Jeremy Katz 2003-11-11 14:28:30 EST
Can you attach the kickstart config you used?
Comment 2 Ryan Daly 2003-11-11 20:57:56 EST
Created attachment 95918 [details]
Kickstart file used during installation.

Jeremy,

Here's the kickstart file I used during the installation.  I grabbed a POS
laptop from work to run the install again, but the display is all messed up. 
As soon as I can get a different one, I'll try it again to make sure I'm not
smoking anything.
Comment 3 Jeremy Katz 2004-10-05 11:35:02 EDT
Should be better in newer releases.

Note You need to log in before you can comment on or make changes to this bug.